package com.ruoyi.system.mapper.typehandler;

import org.apache.commons.lang3.StringUtils;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wjh
 * 2024/8/13
 */
public class DecimalSplitListTypeHandler extends AbstractSplitListTypeHandler<BigDecimal> {
    /**
     * 转换为列表
     *
     * @param data
     * @param delimiter
     */
    @Override
    public List<BigDecimal> parseToList(String data, String delimiter) {
        if (StringUtils.isBlank(data)) {
            return new ArrayList<>();
        }
        String[] split = data.split(delimiter);
        return Arrays.stream(split).map(BigDecimal::new).collect(Collectors.toList());
    }
}
